Bug 1277447 - libgovirt needs to access /ovirt-engine/api/ rather than /api/
libgovirt needs to access /ovirt-engine/api/ rather than /api/
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libgovirt (Show other bugs)
6.7
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Christophe Fergeau
SPICE QE bug list
: ZStream
Depends On:
Blocks: 1200067 1297810
  Show dependency treegraph
 
Reported: 2015-11-03 05:52 EST by Christophe Fergeau
Modified: 2016-05-10 17:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: libgovirt-0.3.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1297810 (view as bug list)
Environment:
Last Closed: 2016-05-10 17:18:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Fergeau 2015-11-03 05:52:41 EST
When opening a .vv file from a RHEV 3.6+ instance, the .vv file should have an [ovirt] section with several items including a jsessionid cookie to use to authenticate with the instance. However, as described in https://bugzilla.redhat.com/show_bug.cgi?id=1276083#c3 , the jsessionid cookie to use is different for /ovirt-engine/api and /api. The jsessionid value in the .vv file is meant for /ovirt-engine/api, but RHEL6 libgovirt tries to use /api, which means authentication to the REST API is not going to work in this scenario (RHEL6 client).

Changing libgovirt so that it uses /ovirt-engine/api (as in RHEL7) seems to be the easiest/cleanest way of fixing that. Other options involve adding more fields to the .vv file.
Comment 2 Christophe Fergeau 2015-12-08 04:44:07 EST
(In reply to Christophe Fergeau from comment #0)
> Changing libgovirt so that it uses /ovirt-engine/api (as in RHEL7) 

Moving to POST as this is already done upstream.
Comment 8 errata-xmlrpc 2016-05-10 17:18:54 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0832.html

Note You need to log in before you can comment on or make changes to this bug.